OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Material Class Reference

`#include <XCAFDoc_Material.hxx>`

## Public Member Functions
Standard_EXPORT | XCAFDoc_Material ()
Standard_EXPORT void | Set (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Standard_Real aDensity, const Handle(TCollection_HAsciiString)&aDensName, const Handle(TCollection_HAsciiString)&aDensValType)
Standard_EXPORT Handle_TCollection_HAsciiString | GetName () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetDescription () const
Standard_EXPORT Standard_Real | GetDensity () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetDensName () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetDensValType () const
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Material | Set (const TDF_Label &label, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Standard_Real aDensity, const Handle(TCollection_HAsciiString)&aDensName, const Handle(TCollection_HAsciiString)&aDensValType)
## Private Attributes
Handle_TCollection_HAsciiString | myName
Handle_TCollection_HAsciiString | myDescription
Standard_Real | myDensity
Handle_TCollection_HAsciiString | myDensName
Handle_TCollection_HAsciiString | myDensValType

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Material::XCAFDoc_Material | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real XCAFDoc_Material::GetDensity | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Material::GetDensName | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Material::GetDensValType | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Material::GetDescription | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Material::GetID | ( |  | ) | `[static]`

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Material::GetName | ( |  | ) | const

Standard_EXPORT const XCAFDoc_Material::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Material::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Material::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Material::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Material::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

Standard_EXPORT void XCAFDoc_Material::Set | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Standard_Real | aDensity,
|  | const Handle(TCollection_HAsciiString)& | aDensName,
|  | const Handle(TCollection_HAsciiString)& | aDensValType
| ) |

static Standard_EXPORT Handle_XCAFDoc_Material XCAFDoc_Material::Set | ( | const TDF_Label & | label,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Standard_Real | aDensity,
|  | const Handle(TCollection_HAsciiString)& | aDensName,
|  | const Handle(TCollection_HAsciiString)& | aDensValType
| ) | `[static]`

## Field Documentation

Standard_Real XCAFDoc_Material::myDensity`[private]`

Handle_TCollection_HAsciiString XCAFDoc_Material::myDensName`[private]`

Handle_TCollection_HAsciiString XCAFDoc_Material::myDensValType`[private]`

Handle_TCollection_HAsciiString XCAFDoc_Material::myDescription`[private]`

Handle_TCollection_HAsciiString XCAFDoc_Material::myName`[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Material.hxx